import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from '../generic/app.baseentity';

export class WebAppRole extends AppBaseEntity {
  typeName = EN_AppEntities.WebAppRole;
  webAppRoleId: number;
  webAppRoleName: string;
  webAppRoleHierarchy: number;

  public get entityId() {
    return this.webAppRoleId;
  }
  public set entityId(value) {
    this.webAppRoleId = value;
  }
}
